%define		qtver	5.0
Summary:	smplayer - mplayer frontend
Summary(pl.UTF-8):	smplayer - nakładka na mplayera
Name:		smplayer
Version:	24.5.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	https://github.com/smplayer-dev/smplayer/releases/download/v%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	d453e1f86ffc4183933bdf0ea9842ad7
URL:		https://www.smplayer.info/
BuildRequires:	Qt5Concurrent-devel
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5PrintSupport-devel
BuildRequires:	Qt5Script-devel
BuildRequires:	Qt5Sql-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5Xml-devel
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	qt5-qmake >= %{qtver}
BuildRequires:	rpmbuild(find_lang) >= 1.37
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	xorg-lib-libXext-devel
Requires:	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	mpv >= 0.6.2
Suggests:	smtube
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMPlayer intends to be a complete front-end for MPlayer, from basic
features like playing videos, DVDs, and VCDs to more advanced features
like support for MPlayer filters and more.

One of the most interesting features of SMPlayer: it remembers the
settings of all files you play. So you start to watch a movie but you
have to leave... don't worry, when you open that movie again it will
resume at the same point you left it, and with the same settings:
audio track, subtitles, volume...

%description -l pl.UTF-8
SMPlayer stara się być kompletną nakładką na MPlayera, począwszy od
podstawowych funkcji jak odtwarzanie plików video, DVD i VCD kończąc
na bardziej zaawansowanych opcjach jak obsługa filtrów MPlayera oraz
wiele więcej.

Jedną z najciekawszych funkcji SMPlayera jest to, że zapamiętuje
ustawienia wszystkich plików jakie odgrywasz. Zaczynasz oglądać film,
ale musisz wyjść... nie martw się, kiedy odtworzysz film ponownie
zacznie od momentu, w którym go wyłączyłeś i z tymi samymi
ustawieniami jak: ścieżka dźwiękowa, napisy, głośność...

%prep
%setup -q

# skip docs install
%{__sed} -i -e '/DOC_PATH/d' Makefile src/smplayer.pro

# skip manpage compress
%{__sed} -i -e '/gzip/d' Makefile

# skip build rule on install
%{__sed} -i -e 's,install: src/smplayer,install:,' Makefile

# disable debug on console on unix too
%{__sed} -i -e '/NO_DEBUG_ON_CONSOLE/s,#DEFINES,DEFINES,' src/smplayer.pro

%build
%{__make} \
	PREFIX=%{_prefix} \
	QMAKE=qmake-qt5 \
	LRELEASE=lrelease-qt5

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/smplayer/themes
%{__make} install \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Readme.txt README.md Release_notes.md
%attr(755,root,root) %{_bindir}/simple_web_server
%attr(755,root,root) %{_bindir}/smplayer
%{_mandir}/man1/smplayer.1*
%{_desktopdir}/smplayer.desktop
%{_desktopdir}/smplayer_enqueue.desktop
%{_datadir}/metainfo/smplayer.appdata.xml
%{_iconsdir}/hicolor/*/apps/smplayer.png
%{_iconsdir}/hicolor/*/apps/smplayer.svg
%dir %{_datadir}/smplayer
%{_datadir}/smplayer/input.conf
%dir %{_datadir}/smplayer/shortcuts
%{_datadir}/smplayer/shortcuts/default.keys
%{_datadir}/smplayer/shortcuts/euskara.keys
%{_datadir}/smplayer/shortcuts/vlc.keys
%dir %{_datadir}/smplayer/themes
%dir %{_datadir}/smplayer/translations
%changelog
* Mon May 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smplayer.git;a=log;h=master

* Mon May 13 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c5f4cc1
- up to 24.5.0

* Tue Dec 26 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c4db648
- up to 23.12.0

* Sat Jul 01 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a2ad890
- rel 1

* Sat Jul 01 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d359c17
- up to 23.6.0

* Sun Jul 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6bb8fb7
- up to 22.7.0

* Mon Apr 04 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> df50e62
- up to 22.2.0

* Tue Nov 09 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 168d69d
- up to 21.10.0

* Mon Aug 30 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0ea8477
- https-ing sources

* Mon Aug 30 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 77da214
- up to 21.8.0

* Sun Apr 25 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 677e676
- switching to QT5, using mpv as default player

* Mon Jan 11 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9a4e1d3
- up to 21.1.0

* Sat Nov 16 2019 Bartlomiej Zimon <uzi18@o2.pl> b5ed586
- up to 19.10.2

* Sun Jun 25 2017 Elan Ruusamäe <glen@pld-linux.org> e971d96
- up to 17.6.0

* Sat Apr 01 2017 Elan Ruusamäe <glen@delfi.ee> a2ee691
- up to 17.3.0

* Fri Oct 14 2016 Grzegorz Pycia <gzohop@pld-linux.org> 194a83f
- up to 16.9.0

* Mon Aug 29 2016 Elan Ruusamäe <glen@delfi.ee> d638455
- up to 16.8.0; update desktop integration

* Mon Jan 18 2016 Elan Ruusamäe <glen@delfi.ee> 99350a2
- up to 16.1.0

* Fri Jan 01 2016 Elan Ruusamäe <glen@delfi.ee> 465014d
- revise BR using cleanbuild

* Fri Jan 01 2016 Elan Ruusamäe <glen@delfi.ee> 1d09956
- use find-lang to package translations

* Fri Jan 01 2016 Elan Ruusamäe <glen@delfi.ee> 91cee26
- smtube is separate project now

